package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.CanteenDining;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenDiningDAO {
	int insert(CanteenDining entity);
	int update(CanteenDining entity);
	int exist(String id);
	CanteenDining get(String id);
	int delete(String id);
	List<CanteenDining> list();
	List<CanteenDining> findByCanteenId(String CanteenId);
	List<CanteenDining> search(Map<String, Object> searchParams, List<Sort> sortList);
}